Package org.apache.sysds.runtime.codegen

## Class SpoofRowwise

- java.lang.Object
- - org.apache.sysds.runtime.codegen.SpoofOperator
  - - org.apache.sysds.runtime.codegen.SpoofRowwise

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `SpoofCUDARowwise`

    public abstract class SpoofRowwise
    extends SpoofOperator

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `SpoofRowwise.RowType`

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.codegen.SpoofOperator

`SpoofOperator.SideInput, SpoofOperator.SideInputSparseCell, SpoofOperator.SideInputSparseRow`

### Constructor Summary

Constructors
`SpoofRowwise​(SpoofRowwise.RowType type, long constDim2, boolean tB1, int reqVectMem)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`SpoofCUDAOperator` `createCUDAInstrcution​(Integer opID, SpoofCUDAOperator.PrecisionProxy ep)`
`ScalarObject` `execute​(ArrayList<MatrixBlock> inputs, ArrayList<ScalarObject> scalarObjects, int k)`
`MatrixBlock` `execute​(ArrayList<MatrixBlock> inputs, ArrayList<ScalarObject> scalarObjects, MatrixBlock out)`
`MatrixBlock` `execute​(ArrayList<MatrixBlock> inputs, ArrayList<ScalarObject> scalarObjects, MatrixBlock out, boolean allocTmp, boolean aggIncr, long rix)`
`MatrixBlock` `execute​(ArrayList<MatrixBlock> inputs, ArrayList<ScalarObject> scalarObjects, MatrixBlock out, int k)`
`long` `getConstDim2()`
`int` `getNumIntermediates()`
`SpoofRowwise.RowType` `getRowType()`
`String` `getSpoofType()`
`long` `getTmpMemoryReq​(int k, long cols, long... cols2)`
`static boolean` `hasMatrixObjectSideInput​(ArrayList<MatrixObject> inputs)`
`static boolean` `hasMatrixSideInput​(ArrayList<MatrixBlock> inputs)`

### Methods inherited from class org.apache.sysds.runtime.codegen.SpoofOperator

`execute, getDenseMatrices, getNativeStagingBuffer, getTotalInputNnz, getTotalInputSize`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpoofRowwise

    public SpoofRowwise​(SpoofRowwise.RowType type,
                        long constDim2,
                        boolean tB1,
                        int reqVectMem)

### Method Detail

#### getRowType

    public SpoofRowwise.RowType getRowType()

#### getConstDim2

    public long getConstDim2()

#### getNumIntermediates

    public int getNumIntermediates()

#### getTmpMemoryReq

    public long getTmpMemoryReq​(int k,
                                long cols,
                                long... cols2)

#### getSpoofType

    public String getSpoofType()

Specified by:
  `getSpoofType` in class `SpoofOperator`

#### createCUDAInstrcution

    public SpoofCUDAOperator createCUDAInstrcution​(Integer opID,
                                                   SpoofCUDAOperator.PrecisionProxy ep)

Specified by:
  `createCUDAInstrcution` in class `SpoofOperator`

#### execute

    public ScalarObject execute​(ArrayList<MatrixBlock> inputs,
                                ArrayList<ScalarObject> scalarObjects,
                                int k)

Overrides:
  `execute` in class `SpoofOperator`

#### execute

    public MatrixBlock execute​(ArrayList<MatrixBlock> inputs,
                               ArrayList<ScalarObject> scalarObjects,
                               MatrixBlock out)

Specified by:
  `execute` in class `SpoofOperator`

#### execute

    public MatrixBlock execute​(ArrayList<MatrixBlock> inputs,
                               ArrayList<ScalarObject> scalarObjects,
                               MatrixBlock out,
                               boolean allocTmp,
                               boolean aggIncr,
                               long rix)

#### execute

    public MatrixBlock execute​(ArrayList<MatrixBlock> inputs,
                               ArrayList<ScalarObject> scalarObjects,
                               MatrixBlock out,
                               int k)

Overrides:
  `execute` in class `SpoofOperator`

#### hasMatrixSideInput

    public static boolean hasMatrixSideInput​(ArrayList<MatrixBlock> inputs)

#### hasMatrixObjectSideInput

    public static boolean hasMatrixObjectSideInput​(ArrayList<MatrixObject> inputs)